# services/cassandra/artifacts-pvc.yaml
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: cassandra-artifacts
  namespace: cassandra
  labels:
    app.kubernetes.io/name: cassandra
    app.kubernetes.io/component: artifacts
spec:
  accessModes:
    - ReadWriteOnce
  storageClassName: cassandra-artifacts
  resources:
    requests:
      storage: 500Gi
---
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: cassandra-engine-cache
  namespace: cassandra
  labels:
    app.kubernetes.io/name: cassandra
    app.kubernetes.io/component: engine-cache
spec:
  accessModes:
    - ReadWriteOnce
  storageClassName: cassandra-artifacts
  resources:
    requests:
      storage: 100Gi
